For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
    • NVIDIA Switch Infrastructure
    • I want to...
  • Quick Start
    • Start Here
    • Getting Started with Config Manager
    • TUI Wizard Reference
    • Configuration Samples
    • Interfaces
    • Local Development Quick Start
    • First Run Tour
  • Config Manager Overview
    • Config Manager Concepts
    • Getting Started with Nautobot
  • User Guides
    • New Site Bringup
    • Workflow Lifecycle
  • Deployment
    • Hosting Options
    • Network Topology Requirements
    • Firewall Ports
    • Airgapped Deployment
    • Troubleshooting
  • Services
      • Overview
      • Architecture
        • GETCurrent User Info
          • GETGet all configs for a device
          • POSTBatch create/update config files
          • GETGet a config file
          • POSTCreate or update a config file
          • GETGet diff between two versions
          • GETList all versions of a config file
NVIDIANVIDIA
Developer-friendly docs for your API
Privacy Policy | Your Privacy Choices | Terms of Service | Accessibility | Corporate Policies | Product Security | Contact

Copyright © 2026, NVIDIA Corporation.

LogoLogo
ServicesConfig Store ServiceConfig Store APIconfig

Batch create/update config files

||View as Markdown|
POST
https://host.com/v1/config/:device_uuid/batch
POST
/v1/config/:device_uuid/batch
$curl -X POST https://host.com/v1/config/device_uuid/batch \
> -H "Content-Type: application/json" \
> -d '{
> "files": [
> {
> "author": "jane.doe@example.com",
> "commit_message": "Update network configuration for improved latency",
> "content": "interface eth0\nip address 192.168.1.10/24\ngateway 192.168.1.1\n",
> "filename": "network.conf"
> }
> ]
>}'
1{
2 "created": [
3 {
4 "author": "jane.doe@example.com",
5 "commit_message": "Update network configuration for improved latency",
6 "content_hash": "3a7bd3e2360a3f1b9c8e4d5f6a7b8c9d0e1f2a3b4c5d6e7f8a9b0c1d2e3f4a5b",
7 "created_at": "2024-01-15T09:30:00Z",
8 "file_type": "intended",
9 "version": 1
10 }
11 ],
12 "skipped": [
13 "backup/config_backup.conf"
14 ]
15}
Batch create or update configuration files for a device.
Previous

Get all configs for a device

Next

Get a config file

Path parameters

device_uuidstringRequiredformat: "uuid"

Request

This endpoint expects an object.
fileslist of objectsRequired

List of files to create/update

Response

Successful Response
createdlist of objects

Successfully created/updated files

skippedlist of strings
Paths that had no changes

Errors

422
Unprocessable Entity Error